summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomáš Chvátal <scarabeus@gentoo.org>2009-07-28 19:55:01 +0200
committerTomáš Chvátal <scarabeus@gentoo.org>2009-07-28 19:55:01 +0200
commitec5926ac23bd24a13769c86ab2f01bd27835a560 (patch)
treeab239c1d9b9950113570983d6649ab637122509c /games-puzzle
parent[Documentation] Example metadata.xml for grabs :] (diff)
downloadgamerlay-ec5926ac23bd24a13769c86ab2f01bd27835a560.tar.gz
gamerlay-ec5926ac23bd24a13769c86ab2f01bd27835a560.tar.bz2
gamerlay-ec5926ac23bd24a13769c86ab2f01bd27835a560.zip
Initial commit of few games that i had prepared in mine overlay
Diffstat (limited to 'games-puzzle')
-rw-r--r--games-puzzle/pipewalker/Manifest3
-rw-r--r--games-puzzle/pipewalker/metadata.xml5
-rw-r--r--games-puzzle/pipewalker/pipewalker-0.4.3.ebuild43
3 files changed, 51 insertions, 0 deletions
diff --git a/games-puzzle/pipewalker/Manifest b/games-puzzle/pipewalker/Manifest
new file mode 100644
index 0000000..629605e
--- /dev/null
+++ b/games-puzzle/pipewalker/Manifest
@@ -0,0 +1,3 @@
+DIST pipewalker-0.4.3-src.tar.gz 319311 RMD160 b60210fbdbaff20fb0cee7da66bcd2cae70b8567 SHA1 31b4ac39e78a077a1c47ed47ce34186805c4d4b0 SHA256 76309d1ccce32fd524af06c158077419bc7350d0d33cf87fbc0d807aac916ca7
+EBUILD pipewalker-0.4.3.ebuild 976 RMD160 911d90b5d69cd44df055a0609ddff9fcb48c95fd SHA1 c2aacb76907d7ea3c2ccc5ecd1eca9914058a045 SHA256 3f4c4c9ece5cbbb8d60bb87cf7e033aff6dd0fa1db0b593474cfc6dc1c4f5d67
+MISC metadata.xml 161 RMD160 734c72757bdba2e93d5c7cfa946fd9eb69e01681 SHA1 e721608e30cdca8dd809c1024687fe4887c49293 SHA256 5102a957a119374da719ca711f473e89fd4183d4e91e86f59e2fc4dce7e607dc
diff --git a/games-puzzle/pipewalker/metadata.xml b/games-puzzle/pipewalker/metadata.xml
new file mode 100644
index 0000000..4a5a466
--- /dev/null
+++ b/games-puzzle/pipewalker/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>playboys</herd>
+</pkgmetadata>
diff --git a/games-puzzle/pipewalker/pipewalker-0.4.3.ebuild b/games-puzzle/pipewalker/pipewalker-0.4.3.ebuild
new file mode 100644
index 0000000..db1133a
--- /dev/null
+++ b/games-puzzle/pipewalker/pipewalker-0.4.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit autotools games
+
+DESCRIPTION="PipeWalker - is a clone of the NetWalk game."
+HOMEPAGE="http://pipewalker.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X glut"
+
+DEPEND="glut? ( media-libs/freeglut )"
+RDEPEND="${DEPEND}"
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # fix path placement
+ sed -i \
+ -e "s:\$(datadir):${GAMES_DATADIR_BASE}:g" \
+ extra/Makefile.am || die "Removing wrong path failed"
+ sed -i \
+ -e "s:\$(datadir):${GAMES_DATADIR_BASE}:g" \
+ Makefile.am || die "Removing wrong path failed"
+}
+
+src_compile() {
+ eautomake
+ egamesconf \
+ --disable-dependency-tracking \
+ --datadir=${GAMES_DATADIR_BASE} \
+ $(use_with X) \
+ $(use_with glut)
+ emake || die "emake failed"
+}
+src_install() {
+ emake DESTDIR=${D} install || die "install failed"
+
+ prepgamesdirs
+}